using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ReloadGrid
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : Window
	{
		public Window1()
		{
			InitializeComponent();

			RebindGrid();
		}

		private void RebindGrid()
		{
			var data = new[] { 
				new { Name = "John", Number = DateTime.Now.Second },
				new { Name = "Mike", Number = DateTime.Now.Second }
			};

			this.radGridView1.ItemsSource = data;
		}

		private void reloadButton_Click(object sender, RoutedEventArgs e)
		{
			this.Dispatcher.BeginInvoke((Action) delegate(){
				RebindGrid();
			});

			//The code below works too, but is executed immediately
			//RebindGrid();
		}
	}
}
